Method: projects.locations.repositories.branchRules.list

branchRules.list lists branch rules in a given repository.

HTTP request


GET https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{parent=projects/*/locations/*/repositories/*}/branchRules

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. If unspecified, a default size of 30 will be used. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A token identifying a page of results the server should return.

Request body

The request body must be empty.

Response body

ListBranchRulesResponse is the response to listing branchRules.

If successful, the response body contains data with the following structure:

JSON representation
{
  "branchRules": [
    {
      object (BranchRule)
    }
  ],
  "nextPageToken": string
}
Fields
branchRules[]

object (BranchRule)

The list of branch rules.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • securesourcemanager.branchRules.list

For more information, see the IAM documentation.